/*
 * 由SharpDevelop创建。
 * 用户： Administrator
 * 日期: 2019-03-29
 * 时间: 10:56
 * 
 * 要改变这种模板请点击 工具|选项|代码编写|编辑标准头文件
 */
using System;
using System.Runtime.InteropServices;
using GameData.Club;

namespace Server.Data.ClubDef
{	
	/// <summary>
	/// 竞技比赛的所有玩家id结构体
	/// </summary>
	[StructLayoutAttribute(LayoutKind.Sequential,CharSet=CharSet.Ansi/*,Pack=1*/)]
	public struct tr_clubMans{
		/// <summary>
		/// 玩家所有id
		/// </summary>
		[MarshalAs(UnmanagedType.ByValArray,SizeConst=ConstData.maxMemNum)]
		public int[] ids;
		
		public static tr_clubMans CreateClubMans(){
			return new tr_clubMans(){
				ids = new int[ConstData.maxMemNum]
			};
		}
	}
	
	/// <summary>
	/// 时间结构
	/// </summary>
	[StructLayoutAttribute(LayoutKind.Sequential,CharSet=CharSet.Ansi/*,Pack=1*/)]
	public struct  tr_sifangdatetime{
		/// <summary>
		/// 年-小时
		/// </summary>
		public int hours;
		
		/// <summary>
		/// 分钟
		/// </summary>
		public byte minute;
		
		/// <summary>
		/// 秒钟
		/// </summary>
		public byte second;
	}
	
	/// <summary>
	/// 竞技比赛玩家信息
	/// </summary>
	[StructLayoutAttribute(LayoutKind.Sequential,CharSet=CharSet.Ansi/*,Pack=1*/)]
	public struct tr_playerInfoOfClub{
		/// <summary>
		/// 竞技比赛id
		/// </summary>
		public int clubid;
		
		/// <summary>
		/// 入会时间
		/// </summary>
		public tr_sifangdatetime jointime;
		
		/// <summary>
		/// 职位 0会长 1备用 2管理  5成员
		/// </summary>
		public byte position;
		
		/// <summary>
		/// 是否允许加入游戏
		/// </summary>
		public byte ingame;
        
        public ushort bak1;
		
		/// <summary>
		/// 备注
		/// </summary>
		[MarshalAs(UnmanagedType.ByValArray,SizeConst=40)]
		public byte[] remark;
		
		public static tr_playerInfoOfClub CreateTr_playerInfoOfClub(){
			return new tr_playerInfoOfClub(){
				remark = new byte[40]
			};
		}
		
	}
	
	/// <summary>
	/// 玩家的一堆竞技比赛信息
	/// </summary>
	public struct tr_clubsOfPlayer{
		/// <summary>
		/// 有效数量
		/// </summary>
		public int cnt;
		
		/// <summary>
		/// 竞技比赛数据
		/// </summary>
		[MarshalAs(UnmanagedType.ByValArray,SizeConst=ConstData.maxClubNumCnt)]
		public tr_playerInfoOfClub[] datas;
		
		public static tr_clubsOfPlayer CreateTr_clubsOfPlayer(){
			return new tr_clubsOfPlayer(){
				datas = new tr_playerInfoOfClub[ConstData.maxClubNumCnt]
			};
		}
		
	}
	
	/// <summary>
	/// 玩家的战斗数据
	/// </summary>
	public struct tr_playerFightRecordId{
		
		/// <summary>
		/// 有效数量
		/// </summary>
		public int cnt;
		
		/// <summary>
		/// 战斗记录id
		/// </summary>
		[MarshalAs(UnmanagedType.ByValArray,SizeConst=ConstData.maxPlayerFightRecordCount)]
		public int[] fightrecords;
	}
	
}
